CofFIME/Controllers/Facultades/FCFMController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CofFIME.Models.Core;
using CofFIME.Models.Service;

namespace CofFIME.Controllers.Facultades
{
    public class FCFMController : Controller
    {
        private PlatillosService platService = new PlatillosService();
        // GET: FCFM
        public ActionResult Index()
        {
            List<ModPlatillos> listaPlatillos = platService.ObtenerPlatillos(6);
            List<ModPlatillos> platDest = platService.ObtenerPlatillosDest(6);
            ViewBag.destacados = platDest;
            ViewBag.platillos = listaPlatillos;
            return View();
        }
    }
}

CofFIME/Controllers/PedidosController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CofFIME.Models.Core;
using CofFIME.Models.Service;
using CofFIME.Models.Data;


namespace CofFIME.Controllers
{
    public class PedidosController : Controller
    {
        private FacultadesService facuService = new FacultadesService();
        private PlatillosService platService = new PlatillosService();
        private CafeteriasEntities db = new CafeteriasEntities();
        // GET: Pedidos
        public ActionResult Index()
        {
            List<ModFacultades> listafacultades = facuService.ObtenerFacultades();
            ViewBag.Facultades = listafacultades;

            return View();
        }

        public JsonResult GetPlatillos (int id)
        {
            List<ModPlatillos> listaplatillos = platService.ObtenerPlatillos(id);

            return Json(listaplatillos, JsonRequestBehavior.AllowGet);
        }

        [HttpGet]
        public JsonResult GetCarrito()
        {
            List<DatosCarrito> dcart = new List<DatosCarrito>();

            var query = from ped in db.Pedidos
                        join plat in db.Platillos on ped.IdPlat_ped equals plat.Id_plat
                        select new DatosCarrito
                        {
                            NombrePlat = plat.Nom_plat,
                            PrecioPlat = plat.Pre_plat,
                            IdPlat = plat.Id_plat,
                            IdPed = ped.Id_ped
                        };
            dcart = query.ToList();

            return Json(dcart, JsonRequestBehavior.AllowGet);
        }

        [HttpPost]
        public bool Carrito(ModPedidos mp)
        {
            Boolean guardar = false;

            Pedidos ped = new Pedidos
            {
                IdFacu_ped = mp.IdFac,
                IdUsu_ped = mp.IdUsr,
                IdPlat_ped = mp.IdPlat
            };

            db.Pedidos.Add(ped);
            db.SaveChanges();
            guardar = true;

            return guardar;
        }

        [HttpDelete]
        public void DeleteItem(int id)
        {
            Pedidos deletePedido = (from Ped in db.Pedidos
                                   where Ped.Id_ped == id
                                   select Ped).FirstOrDefault();

            db.Pedidos.Remove(deletePedido);
            db.SaveChanges();
        }
    }
}

CofFIME/Views/FCFM/Index.cshtml
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutFacultades.cshtml";
}
@using CofFIME.Models.Core;
<head>

    <style>
        #headerFime {
            background: url(../../Content/Images/FondoFacultades/FCFM.jpg) 50% 0 repeat-y fixed;
            -webkit-background-size: cover;
            background-size: cover;
            background-position: center;
            color: #ffffff;
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            /*align-items: center;*/
            height: 100vh;
            /*text-align: center;*/
        }

            #headerFime h1 {
                font-size: 50px;
                letter-spacing: 8px;
                font-family: Roboto;
                font-weight: 500;
                line-height: 60px;
            }
    </style>
</head>

<!--HEADER SECTION-->
<header>
    <section id="headerFime" class="parallax-section home">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-sm-12">
                    <h1 class="text-center">Facultad de Físico <br>Matemáticas</h1>
                </div>
            </div>
        </div>
    </section>
</header>

<!--PLATILLOS DESTACADOS SECTION-->
<section id="platillosDest" class="parallax-section">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h1 class="text-center titles">Platillos destacados</h1>
            </div>
        </div>
        <div class="row row-cols-1 row-cols-md-2 card-deck" id="cards">
            @foreach (ModPlatillos dt in ViewBag.destacados)
            {
                <div class="col mb-4 h-100">
                    <div class="card mb-3 h-100" style="max-width: 540px;">
                        <div class="row no-gutters">
                            <div class="col-md-4">
                                <img src="~/Content/Images/Platillos/@dt.Nombre-p.jpg" class="card-img" alt="...">
                            </div>
                            <div class="col-md-8">
                                <div class="card-body">
                                    <h5 class="card-title">@dt.Nombre</h5>
                                    <p class="card-text">@dt.Descripcion</p>
                                </div>
                                <div class="card-footer bg-transparent">
                                    <a href="@Url.Action("Index", "Pedidos")">Haz un pedido<i class="fas fa-shopping-cart"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>
</section>

<!--MENU SECTION-->
<section id="menu" class="parallax-section">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h1 class="text-center titles">Menú</h1>
            </div>
        </div>
        <div class="row">
            @foreach (ModPlatillos pt in ViewBag.platillos)
            {
                <div class="col-xs-12 col-md-4 platos">
                    <div class="row" style="justify-content: space-between">
                        <h3>@pt.Nombre</h3>
                        <h3 class="precio">$@pt.Precio</h3>
                    </div>
                    <div class="row">
                        <p class="descripcion">
                            @pt.Descripcion
                        </p>
                    </div>
                    <hr />
                </div>
            }
        </div>
        <div class="row">
            <div class="col-12">
                <div class="text-center">
                    <a href="@Url.Action("Index", "Pedidos")" class="smoothScroll btn btn-default pedido">Haz un pedido</a>
                </div>
            </div>
        </div>
    </div>
</section>